Access Keys:
Skip to content (Access Key - 0)

Sophos Central - Supported Operating Systems

Starting July of 2021, IS&T has migrated to a new version of Sophos called Sophos Central. MIT users have until the summer of 2022 before the old version will stop receiving updates. This page references the new version of Sophos. You can see documentation for legacy Sophos here and download the newest version of Sophos here.

Sophos Central supports the three latest released operating systems for Windows and macOS. If your OS is not listed below you will need to upgrade prior to installing Sophos.

Windows Endpoint Supported Operating Systems
  • Windows 7
  • Windows 8
  • Windows 8.1
  • Windows 10

 Sophos Central Windows Endpoint Supported Operating Systems

macOS Supported Operating Systems
  • Intel-based Macs (64-bit)
    • macOS 10.14
    • macOS 10.15
    • macOS 11
  • Apple Silicon-based (M1) Macs
    • macOS 11 (with Rosetta 2 emulation, automatically installed if necessary)

Sophos Central MacOS Supported Operating Systems

Windows Server Supported Operating Systems

  • Windows Server 2008 R2
  • Windows Server SBS
  • Windows Server 2011
  • Windows Server 2012
  • Windows Server 2012 R2
  • Windows Server 2016
  • Windows Server 2019

Sophos Central Windows Server Supported Operating Systems

Linux Supported Operating Systems

  • Amazon Linux, Amazon Linux 2
  • CentOS 7, 8
  • Debian 9, 10
  • Oracle Linux 7, 8
  • Red Hat Enterprise 7, 8
  • SUSE Linux Enterprise Server 12 , 15
  • Ubuntu 18 LTS

Sophos Central Linux Supported Operating Systems

IS&T Contributions

Documentation and information provided by IS&T staff members


Last Modified:

June 30, 2021

Get Help

Request help
from the Help Desk
Report a security incident
to the Security Team
Labels:
c-sophoscentral c-sophoscentral Delete
sophos sophos Delete
central central Delete
security security Delete
antivirus antivirus Delete
Enter labels to add to this page:
Please wait 
Looking for a label? Just start typing.
Feedback
This product/service is:
Easy to use
Average
Difficult to use

This article is:
Helpful
Inaccurate
Obsolete
Adaptavist Theme Builder (4.2.3) Powered by Atlassian Confluence 3.5.13, the Enterprise Wiki